<?php

use Bitrix\Main\EventManager;
use Bitrix\Main\Loader;
// use Bitrix\Iblock\Elements\ElementTable;
use Bitrix\Main\Type\DateTime;

// Регистрируем обработчик через EventManager
EventManager::getInstance()->addEventHandler(
    "iblock",
    "OnAfterIBlockElementUpdate",
    ["UpdateBulletinsElements", "onAfterIBlockElementUpdateHandler"]
);

class UpdateBulletinsElements
{
    // Обработчик события
    public static function onAfterIBlockElementUpdateHandler(&$arFields)
    {
        if ($arFields['ACTIVE'] === 'Y') {
            if (!Loader::includeModule('iblock')) {
                return;
            }

            $currentDate = new DateTime();
            $dateActiveFrom = $currentDate->toString();
            $dateActiveTo = $currentDate->add('14D')->toString();

            // Обновляем элемент инфоблока
            $el = new CIBlockElement();
            $el->Update(
                $arFields['ID'],
                [
                    'ACTIVE_FROM' => $dateActiveFrom,
                    'ACTIVE_TO' => $dateActiveTo
                ]
            );

//            if (!$el->isSuccess()) {
//                $errors = $result->getErrorMessages();
//                AddMessage2Log('Ошибка обновления элемента: ' . implode(', ', $errors));
//            }
        }
    }
}



